# DataExchange
TKXSBase
Transfer

# Transfer_IteratorOfProcessForFinder Class Reference

`#include <Transfer_IteratorOfProcessForFinder.hxx>`

Inheritance diagram for Transfer_IteratorOfProcessForFinder:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Transfer_IteratorOfProcessForFinder (const Standard_Boolean withstarts)
Standard_EXPORT void | Add (const Handle(Transfer_Binder)&binder)
Standard_EXPORT void | Add (const Handle(Transfer_Binder)&binder, const Handle(Transfer_Finder)&start)
Standard_EXPORT void | Filter (const Handle(Transfer_HSequenceOfFinder)&list, const Standard_Boolean keep=Standard_True)
Standard_EXPORT Standard_Boolean | HasStarting () const
Standard_EXPORT const Handle_Transfer_Finder & | Starting () const

## Private Attributes

Handle_Transfer_HSequenceOfFinder | thestarts

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_IteratorOfProcessForFinder::Transfer_IteratorOfProcessForFinder | ( | const Standard_Boolean | withstarts | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_IteratorOfProcessForFinder::Add | ( | const Handle(Transfer_Binder)& | binder,
|  | const Handle(Transfer_Finder)& | start
| ) |

Standard_EXPORT void Transfer_IteratorOfProcessForFinder::Add | ( | const Handle(Transfer_Binder)& | binder | ) |

Standard_EXPORT void Transfer_IteratorOfProcessForFinder::Filter | ( | const Handle(Transfer_HSequenceOfFinder)& | list,
|  | const Standard_Boolean | keep = `Standard_True`
| ) |

Standard_EXPORT Standard_Boolean Transfer_IteratorOfProcessForFinder::HasStarting | ( |  | ) | const

void Transfer_IteratorOfProcessForFinder::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Transfer_TransferIterator.

void* Transfer_IteratorOfProcessForFinder::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Transfer_TransferIterator.

void* Transfer_IteratorOfProcessForFinder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Transfer_TransferIterator.

Standard_EXPORT const Handle_Transfer_Finder& Transfer_IteratorOfProcessForFinder::Starting | ( |  | ) | const

## Field Documentation

Handle_Transfer_HSequenceOfFinder Transfer_IteratorOfProcessForFinder::thestarts`[private]`

The documentation for this class was generated from the following file:

- Transfer_IteratorOfProcessForFinder.hxx